org.eclipse.emf.cdo.spi.server

## Class RepositoryActivityLog.Rolling.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.factory.PropertiesFactory
    - - org.eclipse.emf.cdo.spi.server.RepositoryActivityLog.Factory
      - - org.eclipse.emf.cdo.spi.server.RepositoryActivityLog.Rolling.Factory

- All Implemented Interfaces:
    IFactory
  Enclosing class:
    RepositoryActivityLog.Rolling

      public static final class RepositoryActivityLog.Rolling.Factory
      extends RepositoryActivityLog.Factory

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE`

    - ### Fields inherited from class org.eclipse.emf.cdo.spi.server.RepositoryActivityLog.Factory

      `PRODUCT_GROUP`

    - ### Fields inherited from class org.eclipse.net4j.util.factory.PropertiesFactory

      `DEFAULT_KEY, PROPERTY_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RepositoryActivityLog` | `create(java.util.Map<java.lang.String,java.lang.String> properties)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.PropertiesFactory

      `create, createDescription`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### create

          protected RepositoryActivityLog create(java.util.Map<java.lang.String,java.lang.String> properties)
                                          throws ProductCreationException

      Specified by:
        `create` in class `RepositoryActivityLog.Factory`
      Throws:
        `ProductCreationException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html